# Role : docker_healthchecks

## Services fournis

- main.yml : Installation de healthchecks sur un serveur docker_host


## Variables

Fournir les variables suivantes. Par exemple :

```yaml
docker_healthchecks_fqdn: healthchecks.local.lan
docker_healthchecks_version: v2.2.1
docker_healthchecks_data_dir: /data1
docker_healthchecks_service_id: healthchecks
docker_healthchecks_db: healthchecks
docker_healthchecks_db_user: healthchecks
docker_healthchecks_db_password: motdepassebdd
docker_healthchecks_config_env:
      - DB=postgres
      - DB_HOST=db
      - DB_NAME={{ docker_healthchecks_db }}
      - DB_USER={{ docker_healthchecks_db_user }}
      - DB_PASSWORD={{ docker_healthchecks_db_password }}
      - DB_PORT=5432
      - etc
```

| Option                          | Valeur par défaut | Description                                                                                |
|---------------------------------|-------------------|--------------------------------------------------------------------------------------------|
| docker_healthchecks_fqdn        |                   | Le fqdn pour accéder à healthchecks                                                        |
| docker_healthchecks_version     |                   | Version de l'image healthchecks                                                            |
| docker_healthchecks_data_dir    |                   | L'emplacement dans lequel se trouvent les volumes de donnees docker pour le service        |
| docker_healthchecks_service_id  |                   | Le nom de service souhaité : conditionne le nommage des dossiers et le routage par traefik |
| docker_healthchecks_db          |                   | Le nom de la base de données                                                               |
| docker_healthchecks_db_user     |                   | Le nom du user propriétaire de la base de données                                          |
| docker_healthchecks_db_password |                   | Le mot de passe du user propriétaire de la base de données                                 |
| docker_healthchecks_config_env  |                   | Une liste de variables d'environnement pour la configuration de healtchecks                |


## Configuration de healthchecks

Une part de la configuration de healthchecks se fait dans les variables d'environnement qui lui sont fournies via docker_healthchecks_config_env

Après le premier démarrage il sera nécessaire de créer un admin, qui pourra poursuivre la configuration depuis l'interface web, avec :
```bash
docker-compose run healthchecks /opt/healthchecks/manage.py createsuperuser
```
